#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int n,i,a[100],min=99999,max=-99999,x,t,k;

   scanf("%d",&n);
   scanf("%d",&x);
   for(i=0;i<n;i++)
   {
       scanf("%d",&a[i]);
       
   }
  for(i=0;i<n;i++)
  {
      if(a[i]>max)
      {
          max=a[i];
      }
  }
   for(i=0;i<n;i++)
  {
      if(a[i]<min)
      {
          min=a[i];
      }
  }
  t=max-x;
  k=x-min;
  if(t>k)
  {
    if(x>min){
      printf("%d",2*k+t);
    }
    else
        printf("%d",t);
  }
  else
    printf("%d",2*t+k);


       return 0;
}